Crazy Eddies GUI System: CEGUI::ItemEntry Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::ItemEntry Class Reference

Base class for item type widgets. More...

Inheritance diagram for CEGUI::ItemEntry:

[legend]
Collaboration diagram for CEGUI::ItemEntry:

[legend]
List of all members.

## Public Member Functions
virtual Size | getItemPixelSize (void)=0
| Return the "optimal" size for the item.
| ItemEntry (const String &type, const String &name)
| Constructor for ItemEntry objects.
virtual | ~ItemEntry (void)
| Destructor for ItemEntry objects.
## Protected Member Functions
void | addItemEntryEvents (void)
| Add itementry specific events.
virtual void | populateRenderCahce ()
| Perform the actual rendering for this Window.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.

## Detailed Description

Base class for item type widgets.

## Member Function Documentation

virtual Size CEGUI::ItemEntry::getItemPixelSize | ( | void |  | ) | `[pure virtual]`

| Return the "optimal" size for the item. Returns: Size describing the size in pixel that this ItemEntry's content requires for non-clipped rendering Implemented in CEGUI::TextItem.

virtual void CEGUI::ItemEntry::populateRenderCahce | ( |  | ) | `[inline, protected, virtual]`

| Perform the actual rendering for this Window. Returns: Nothing

virtual bool CEGUI::ItemEntry::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

  | Return whether this window was inherited from the given class name at some point in the inheritance heirarchy. Parameters:
  | class_name | The class name that is to be checked.
Returns: true if this window was inherited from class_name. false if not. Reimplemented from CEGUI::Window. Reimplemented in CEGUI::MenuItem, and CEGUI::TextItem.